[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComboEx' (#lcl)

# TListControlItems.DoOnCompare

Signals the OnCompare event handler to compare items in the collection.

## Declaration

Source position: comboex.pas line 105

`protected function TListControlItems.DoOnCompare(`
`AItem1: TListControlItem;`
`AItem2: TListControlItem`
`):Integer;`

## Arguments

`AItem1` |  | First TListControlItem for the comparison.
`AItem2` |  | Second TListControlItem for the comparison.

## Function result

Relative sort order for the compared items.

## Description

DoOnCompare is called from the Sort method when SortType is set to stData or stBoth.

## See also

TListControlItems.Sort |  | Performs the Sort routine required for the setting in SortType.
TListControlItems.SortType |  | Determines the comparison mechanism used for collection items in the Sort method.
TListControlItems.OnCompare |  | Event handler signalled to sort the collection using the data in the collection items.
TListControlItems.CompareItems |  | Implements a comparison function for items in the collection.
TListControlItems.CustomSort |  | Performs a custom sort using the specified routine.
TListItemsCompare |  | Specifies a function type used to compare items in TComboEx.